Bug 234045 - missing '=' causes "netstat -I" and "netstat --interfaces" to segfault
missing '=' causes "netstat -I" and "netstat --interfaces" to segfault
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-26 15:25 EDT by Tom London
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.60-81
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-27 03:33:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2007-03-26 15:25:21 EDT
Description of problem:
Running "netstat -I" (without the '=') (same for "netstat --intefaces")
generates a segfault:

[tbl@localhost ~]$ netstat -I
Segmentation fault
[tbl@localhost ~]$ netstat --interfaces
Segmentation fault
[tbl@localhost ~]$

Adding '=' :

[tbl@localhost ~]$ netstat -I=
Kernel Interface table
Iface       MTU Met    RX-OK RX-ERR RX-DRP RX-OVR    TX-OK TX-ERR TX-DRP TX-OVR Flg
: error fetching interface information: Device not found
[tbl@localhost ~]$ 


Version-Release number of selected component (if applicable):
net-tools-1.60-80.fc7

How reproducible:
every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Radek Vokal 2007-03-27 03:33:49 EDT
Fixed in net-tools-1.60-81, thanks for the bug report.

Note You need to log in before you can comment on or make changes to this bug.